libsub-exporter-progressive-perl_0.001011-1_all.deb


Advertisement

Description

libsub-exporter-progressive-perl - module for using Sub::Exporter only if needed

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsub-exporter-progressive-perl
Package version 0.001011
Package release 1
Package architecture all
Package type deb
Installed size 54 B
Download size 7.57 KB
Official Mirror ftp.br.debian.org
Sub::Exporter is an incredibly powerful module, but with that power comes
great responsibility, as well as some runtime penalties.
Sub::Exporter::Progressive is a Sub::Exporter wrapper that will let your
users just use Exporter if all they are doing is picking exports, but use
Sub::Exporter if your users try to use Sub::Exporter's more advanced
features, like renaming exports.
Note that this module will export @EXPORT and @EXPORT_OK package variables
for Exporter to work. Additionally, if your package uses advanced
Sub::Exporter features like currying, this module will only use
Sub::Exporter, so you might as well use it directly.

Alternatives

Package Version Architecture Repository
libsub-exporter-progressive-perl_0.001011-1_all.deb 0.001011 all Debian Main
libsub-exporter-progressive-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libsub-exporter-progressive-perl_0.001011-1_all.deb
Source Package libsub-exporter-progressive-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsub-exporter-progressive-perl deb package:
    # sudo apt-get install libsub-exporter-progressive-perl

Files

Path
/usr/share/doc/libsub-exporter-progressive-perl/changelog.Debian.gz
/usr/share/doc/libsub-exporter-progressive-perl/changelog.gz
/usr/share/doc/libsub-exporter-progressive-perl/copyright
/usr/share/man/man3/Sub::Exporter::Progressive.3pm.gz
/usr/share/perl5/Sub/Exporter/Progressive.pm

Changelog

2014-01-04 - Salvatore Bonaccorso <carnil@debian.org>
libsub-exporter-progressive-perl (0.001011-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 0.001011
* Declare compliance with Debian policy 3.9.5
2013-10-11 - gregor herrmann <gregoa@debian.org>
libsub-exporter-progressive-perl (0.001010-1) unstable; urgency=low
* Team upload.
* New upstream release.
2013-03-23 - gregor herrmann <gregoa@debian.org>
libsub-exporter-progressive-perl (0.001009-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Build dependency on Test::More 0.96 dropped.
* Set Standards-Version to 3.9.4 (no changes).
2013-02-18 - gregor herrmann <gregoa@debian.org>
libsub-exporter-progressive-perl (0.001008-1) unstable; urgency=low
* Team upload.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Build-Depend on Test::More 0.96.
2012-09-02 - gregor herrmann <gregoa@debian.org>
libsub-exporter-progressive-perl (0.001006-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Add new upstream copyright holder.
2012-08-10 - Nuno Carvalho <smash@cpan.org>
libsub-exporter-progressive-perl (0.001004-1) unstable; urgency=low
* Initial Release. (Closes: #684501)

See Also

Package Description
libsub-identify-perl_0.08-1_amd64.deb module to retrieve names of code references
libsub-infix-perl_0.004-1_all.deb create a fake infix operator
libsub-install-perl_0.928-1_all.deb module for installing subroutines into packages easily
libsub-name-perl_0.12-1_amd64.deb module for assigning a new name to referenced sub
libsub-override-perl_0.09-1_all.deb Perl module used to temporarily override subroutines
libsub-prototype-perl_0.02-2+b1_amd64.deb module to set a subroutine's prototype
libsub-recursive-perl_0.03-1_all.deb Perl module for memory-leak free recursive anonymous subroutines
libsub-uplevel-perl_0.2400-1_all.deb module to spoof the Perl call stack
libsub-wrappackages-perl_2.0-1_all.deb module to wrap subroutines in packages
libsublib-cil_0.9-4_all.deb CLI library that eases the development of subtitling applications
libsublime-dev_1.7.0-2_amd64.deb development files for the sublime user interface library
libsublime8_1.7.0-2_amd64.deb User interface library
libsubtitleeditor-dev_0.33.0-3_amd64.deb subtitleeditor lib - development files
libsubtitleeditor0_0.33.0-3_amd64.deb subtitleeditor lib - runtime files
libsubtitles-perl_1.04-1_all.deb utilities to fix subtitles timing
Advertisement
Advertisement